Path

ez components / documentation / api reference / 2008.2.2 / webdav


eZ Components 2008.2.2

Webdav: ezcWebdavRequestPropertyBehaviourContent

[ Tutorial ] [ Clients ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavRequestPropertyBehaviourContent

Class representing the <propertybehaviour /> XML element in the COPY/MOVE request body. [source]
An instance of this class represents the <propertybehaviour /> XML element, that may optionally be contained in the body of a COPY or MOVE request. Either of the properties $keepAlive or $omit may be set, but not both of them at once.
The $keepAlive property may contain an array of URIs, indicating the properties that must be kept alive during the operation, the constant value ezcWebdavRequestPropertyBehaviourContent::ALL to indicate that all properties must be processed live or null, if the $omit property is set to true. Otherwise an ezcBaseValueException will be thrown.
The $omit property may contain either true or false and must be false if the $keepAlive property is used. Otherwise an ezcBaseValueException will be thrown.

Parents

ezcWebdavInfrastructureBase
   |
   --ezcWebdavRequestPropertyBehaviourContent

Constants

ALL = 0 Indicates that the <keepalive /> XML element contained #PCDATA *.

Properties

array|int read/write  $keepAlive
Represents the <keepalive /> XML element.
bool read/write  $omit
Represents the <omit /> XML element.

Member Variables

protected array(string=>mixed) $properties = array()
Container to hold the properties

Inherited Member Variables

From ezcWebdavInfrastructureBase:
protected  ezcWebdavInfrastructureBase::$pluginData

Method Summary

public void __construct( )
Creates a new instance.

Inherited Methods

From ezcWebdavInfrastructureBase :
public mixed ezcWebdavInfrastructureBase::getPluginData()
Retrieves plugin data from the storage.
public bool ezcWebdavInfrastructureBase::hasPluginData()
Returns if plugin data is available in the storage.
public void ezcWebdavInfrastructureBase::removePluginData()
Removes plugin data from the storage.
public void ezcWebdavInfrastructureBase::setPluginData()
Sets plugin data in the storage.

Methods

__construct

void __construct( )
Creates a new instance.

Last updated: Mon, 30 Mar 2009